<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (12.0.1) on Sat Apr 25 19:48:02 CEST 2020 -->
<title>Stack</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2020-04-25">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Stack";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Stack.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">es.uned.lsi.eped.DataStructures</a></div>
<h2 title="Class Stack" class="title">Class Stack&lt;E&gt;</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="Collection.html" title="class in es.uned.lsi.eped.DataStructures">es.uned.lsi.eped.DataStructures.Collection</a>&lt;E&gt;</li>
<li>
<ul class="inheritance">
<li><a href="Sequence.html" title="class in es.uned.lsi.eped.DataStructures">es.uned.lsi.eped.DataStructures.Sequence</a>&lt;E&gt;</li>
<li>
<ul class="inheritance">
<li>es.uned.lsi.eped.DataStructures.Stack&lt;E&gt;</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="CollectionIF.html" title="interface in es.uned.lsi.eped.DataStructures">CollectionIF</a>&lt;E&gt;</code>, <code><a href="SequenceIF.html" title="interface in es.uned.lsi.eped.DataStructures">SequenceIF</a>&lt;E&gt;</code>, <code><a href="StackIF.html" title="interface in es.uned.lsi.eped.DataStructures">StackIF</a>&lt;E&gt;</code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">Stack&lt;E&gt;</span>
extends <a href="Sequence.html" title="class in es.uned.lsi.eped.DataStructures">Sequence</a>&lt;E&gt;
implements <a href="StackIF.html" title="interface in es.uned.lsi.eped.DataStructures">StackIF</a>&lt;E&gt;</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a id="nested.classes.inherited.from.class.es.uned.lsi.eped.DataStructures.Sequence">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;es.uned.lsi.eped.DataStructures.<a href="Sequence.html" title="class in es.uned.lsi.eped.DataStructures">Sequence</a></h3>
<code><a href="Sequence.NodeSequence.html" title="class in es.uned.lsi.eped.DataStructures">Sequence.NodeSequence</a></code></li>
</ul>
</li>
</ul>
</section>
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a id="fields.inherited.from.class.es.uned.lsi.eped.DataStructures.Sequence">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;es.uned.lsi.eped.DataStructures.<a href="Sequence.html" title="class in es.uned.lsi.eped.DataStructures">Sequence</a></h3>
<code><a href="Sequence.html#firstNode">firstNode</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="fields.inherited.from.class.es.uned.lsi.eped.DataStructures.Collection">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;es.uned.lsi.eped.DataStructures.<a href="Collection.html" title="class in es.uned.lsi.eped.DataStructures">Collection</a></h3>
<code><a href="Collection.html#size">size</a></code></li>
</ul>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<div class="memberSummary">
<table>
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">Stack</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(es.uned.lsi.eped.DataStructures.Stack)">Stack</a></span>&#8203;(<a href="Stack.html" title="class in es.uned.lsi.eped.DataStructures">Stack</a>&lt;<a href="Stack.html" title="type parameter in Stack">E</a>&gt;&nbsp;s)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="tableTab" onclick="show(8);">Concrete Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code><a href="Stack.html" title="type parameter in Stack">E</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getTop()">getTop</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#pop()">pop</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#push(E)">push</a></span>&#8203;(<a href="Stack.html" title="type parameter in Stack">E</a>&nbsp;elem)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</div>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.es.uned.lsi.eped.DataStructures.Sequence">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;es.uned.lsi.eped.DataStructures.<a href="Sequence.html" title="class in es.uned.lsi.eped.DataStructures">Sequence</a></h3>
<code><a href="Sequence.html#clear()">clear</a>, <a href="Sequence.html#contains(E)">contains</a>, <a href="Sequence.html#getNode(int)">getNode</a>, <a href="Sequence.html#iterator()">iterator</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.es.uned.lsi.eped.DataStructures.Collection">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;es.uned.lsi.eped.DataStructures.<a href="Collection.html" title="class in es.uned.lsi.eped.DataStructures">Collection</a></h3>
<code><a href="Collection.html#isEmpty()">isEmpty</a>, <a href="Collection.html#size()">size</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.es.uned.lsi.eped.DataStructures.CollectionIF">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;es.uned.lsi.eped.DataStructures.<a href="CollectionIF.html" title="interface in es.uned.lsi.eped.DataStructures">CollectionIF</a></h3>
<code><a href="CollectionIF.html#clear()">clear</a>, <a href="CollectionIF.html#contains(E)">contains</a>, <a href="CollectionIF.html#isEmpty()">isEmpty</a>, <a href="CollectionIF.html#size()">size</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.es.uned.lsi.eped.DataStructures.SequenceIF">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;es.uned.lsi.eped.DataStructures.<a href="SequenceIF.html" title="interface in es.uned.lsi.eped.DataStructures">SequenceIF</a></h3>
<code><a href="SequenceIF.html#iterator()">iterator</a></code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Stack</h4>
<pre>public&nbsp;Stack()</pre>
</li>
</ul>
<a id="&lt;init&gt;(es.uned.lsi.eped.DataStructures.Stack)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Stack</h4>
<pre>public&nbsp;Stack&#8203;(<a href="Stack.html" title="class in es.uned.lsi.eped.DataStructures">Stack</a>&lt;<a href="Stack.html" title="type parameter in Stack">E</a>&gt;&nbsp;s)</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getTop()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTop</h4>
<pre class="methodSignature">public&nbsp;<a href="Stack.html" title="type parameter in Stack">E</a>&nbsp;getTop()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="StackIF.html#getTop()">getTop</a></code>&nbsp;in interface&nbsp;<code><a href="StackIF.html" title="interface in es.uned.lsi.eped.DataStructures">StackIF</a>&lt;<a href="Stack.html" title="type parameter in Stack">E</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a id="push(java.lang.Object)">
<!--   -->
</a><a id="push(E)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>push</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;push&#8203;(<a href="Stack.html" title="type parameter in Stack">E</a>&nbsp;elem)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="StackIF.html#push(E)">push</a></code>&nbsp;in interface&nbsp;<code><a href="StackIF.html" title="interface in es.uned.lsi.eped.DataStructures">StackIF</a>&lt;<a href="Stack.html" title="type parameter in Stack">E</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a id="pop()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>pop</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;pop()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="StackIF.html#pop()">pop</a></code>&nbsp;in interface&nbsp;<code><a href="StackIF.html" title="interface in es.uned.lsi.eped.DataStructures">StackIF</a>&lt;<a href="Stack.html" title="type parameter in Stack">E</a>&gt;</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Stack.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
